
QGIS Application - Bug report #19759

crash in browser

2018-09-03 07:11 PM - Jose Beltran

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 27584

Description

Stack Trace

RtlAnsiStringToUnicodeString :

HeapFree :

free :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: 26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-09-03 07:12 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Please add details on how replicate the problem.

#2 - 2018-09-23 02:49 PM - Jürgen Fischer

- Subject changed from Crash ID: 6996b1cb4ba118e9cc71aee6fa5a9b4aa4ffe584 to crash in browser

- Category changed from Unknown to Browser

#3 - 2018-09-23 02:49 PM - Jürgen Fischer

- Related to Bug report #19907: qgis 3.2 crashes at start added

#4 - 2018-09-23 02:50 PM - Jürgen Fischer

- Related to Bug report #19899: very unstable installation of QGIS 3.2.3 on Windows 7 Machine added

#5 - 2018-09-23 02:51 PM - Jürgen Fischer

- Related to Bug report #19696: QGIS crashes upon launching added

#6 - 2018-09-23 02:51 PM - Jürgen Fischer

- Related to Bug report #19181: Crash on Start added
#7 - 2018-09-23 02:52 PM - Jürgen Fischer

- Related to Bug report #18616: Crash following install and QGIS 3.0.1 will not open added

#8 - 2018-09-23 02:53 PM - Jürgen Fischer

- Related to deleted (Bug report #19907: qgis 3.2 crashes at start)

#9 - 2018-09-23 02:56 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#10 - 2018-09-23 02:56 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to duplicate

#11 - 2018-09-23 02:59 PM - Jürgen Fischer

- Related to deleted (Bug report #18616: Crash following install and QGIS 3.0.1 will not open)

#12 - 2018-09-23 03:44 PM - Jürgen Fischer

- Related to deleted (Bug report #19181: Crash on Start)

#13 - 2018-09-23 03:45 PM - Jürgen Fischer

- Related to deleted (Bug report #19696: QGIS crashes upon launching)

#14 - 2018-09-23 03:48 PM - Jürgen Fischer

- Related to deleted (Bug report #19899: very unstable installation of QGIS 3.2.3 on Windows 7 Machine)

2025-12-22 3/3


